Bug 971786 - [upgrade] JENKINS variable is not propagated to new app after migrated.
[upgrade] JENKINS variable is not propagated to new app after migrated.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade (Show other bugs)
1.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
:
Depends On:
Blocks: 971789
  Show dependency treegraph
 
Reported: 2013-06-07 05:29 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
5 users (show)

See Also:
Fixed In Version: openshift-enterprise-upgrade-broker-1.2-1.git.65.6078d33
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:46:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-06-07 05:29:52 EDT
Description of problem:
After migrated, JENKINS variable is not propagated to new app, that lead to fail to embed jenkins-client to new app.

Version-Release number of selected component (if applicable):
1.2/2013-06-05.9

How reproducible:
Always

Steps to Reproduce:
1. Setup ose-1.1.3 env
2. Create a jenkins app, and create another app with jenkins-client embedded, make sure jenkins build is working fine.
3. Following http://etherpad.corp.redhat.com/OSE-1-2-upgrade-notes to do upgrade testing
4. After upgrade, create a new app.
5. Try to embed jenkins-client.


Actual results:
$ rhc domain show
Applications in jialiu domain
-----------------------------

  jenkins @ http://jenkins-jialiu.ose11test.com/ (uuid: 4a105df2e6e74e5e9de144b40a7927f6)
  ---------------------------------------------------------------------------------------
    Created: Jun 05  5:48 PM
    Gears:   1 (defaults to small)
    Git URL: ssh://4a105df2e6e74e5e9de144b40a7927f6@jenkins-jialiu.ose11test.com/~/git/jenkins.git/
    SSH:     4a105df2e6e74e5e9de144b40a7927f6@jenkins-jialiu.ose11test.com

    jenkins-1.4 (Jenkins Server 1.4)
    --------------------------------
      Gears: 1 small


$ rhc cartridge add jenkins-client-1.4 -a perltest -p redhat -l jialiu@redhat.com
Adding jenkins-client-1.4 to application 'perltest' ... 
A Jenkins server does not exist in this domain!
You must create a Jenkins server before installing this cartridge.

Log into node, check perltest-jialiu/.env/ dir, there is no any JENKINS_* variables.


Expected results:
After migrate, jenkins server app should still working fine, add jenkins-client to new app, should succeed.

Additional info:
Comment 3 Brenton Leanhardt 2013-06-12 11:00:20 EDT
Rajat is helping us track this issue down.
Comment 4 Gaoyun Pei 2013-06-14 04:00:43 EDT
Verify this against puddle:
http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/1.2/2013-06-13.1/

Setup an OSE env using puddle 1.1.z/2013-06-11.2. Then update this env to puddle 1.2/2013-06-13.1.

After upgrade, create a new app named "haha", embed jenkins-client to it.

[root@broker ~]# rhc cartridge add jenkins -a haha
Using jenkins-client-1.4 (Jenkins Client 1.4) for 'jenkins'
Adding jenkins-client-1.4 to application 'haha' ... Success

jenkins-client-1.4 (Jenkins Client 1.4)
---------------------------------------
  Gears:   Located with php-5.3
  Job URL: https://jenkins-jia.ose11test.com/job/haha-build/

RESULT:
Added jenkins-client-1.4 to application haha
Associated with job 'haha-build' in Jenkins server.
Job URL: https://jenkins-jia.ose11test.com/job/haha-build/
Jenkins client 1.4 has been added to: haha


ssh into the app and check the JENKINS related variable

[haha-jia.ose11test.com 51baca25b3ec1f8b9d000017]\> env|grep jenkins
OPENSHIFT_JENKINS_CLIENT_IDENT=redhat:jenkins-client:1.4:0.0.1
JENKINS_URL=https://jenkins-jia.ose11test.com/
OPENSHIFT_JENKINS_CLIENT_DIR=/var/lib/openshift/51baca25b3ec1f8b9d000017/jenkins-client/
Comment 5 Luke Meyer 2013-06-28 11:46:12 EDT
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).

Note You need to log in before you can comment on or make changes to this bug.